Bug 126770 - switchdesk-ui not installed for Workstation install
switchdesk-ui not installed for Workstation install
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-26 07:10 EDT by Gerard Fernandes
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 10:42:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Fernandes 2004-06-26 07:10:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
When install type "Workstation" is selected, the 'switchdesk'
command-line utility is installed, but its UI is not.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC-2 through FC-2 DVD
2. Select "Workstation" installation
3. On completion, check the Preferences menu for the Switch Desktop
utility.
    

Actual Results:  Switch Desktop utility is not present.

Expected Results:  Switch Desktop utility should be present.

Additional info:

Can be installed manually by selecting the switchdesk-ui rpm from the DVD.
Comment 1 Jeremy Katz 2004-06-28 11:55:32 EDT
Reassigning to comps.  

Than -- why is the gui of switchdesk split out anyway?  I can't really
think of a convincing reason where switchdesk would be useful when you
_don't_ have a gui installed.
Comment 2 Ngo Than 2004-06-28 12:24:36 EDT
With new switchdesk-4.0.x, you can now run it in either graphic mode
or text mode.

The switchdesk package is the main package, which only supports text
mode and -gui the graphic mode.


We should add switchdesk and switchdesk-gui in comps!



Comment 3 Gerard Fernandes 2004-06-29 00:48:40 EDT
To run in graphical mode, the "switchdesk-gui" package needs to be
installed.

Also the menu item on the Sytem Preferences menu is installed only
when the "switchdesk-gui" package is installed.

Thanks for the quick follow-up.
Comment 6 Seth Nickell 2004-10-15 12:42:14 EDT
I thought switchdesk was supposed to be dead, and the switching handled through
gdm instead? I don't know the details of this, but maybe jrb does.

Note You need to log in before you can comment on or make changes to this bug.